Bug 1192224 - tracker spams logs with "Sparql buffer" messages
Summary: tracker spams logs with "Sparql buffer" messages
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 22:06 UTC by Michal Jaegermann
Modified: 2017-07-03 15:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 15:04:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 784396 Normal RESOLVED tracker-miner-fs: sparql buffer errors and CPU usage spikes after login to GNOME 2020-11-04 03:39:33 UTC

Description Michal Jaegermann 2015-02-12 22:06:17 UTC
Description of problem:

After an upgrade to Fedora 21 tracker spams my logs with multiple, and waaay too numerous, totally useless messages in this style:

gnome-session: (tracker-miner-apps:6040): Tracker-CRITICAL **:   (Sparql buffer) Error in task 10 of the array-update: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): No such file or directory)
gnome-session: (tracker-miner-apps:6040): Tracker-CRITICAL **: Could not execute sparql: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): No such file or directory)
gnome-session: (tracker-miner-apps:6040): Tracker-CRITICAL **:   (Sparql buffer) Error in task 11 of the array-update: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): No such file or directory)
ryjek gnome-session: (tracker-miner-apps:6040): Tracker-CRITICAL **: Could not execute sparql: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): No such file or directory)
.....

Version-Release number of selected component (if applicable):
tracker-1.2.5-2.fc21.x86_64

How reproducible:
on every gnome-session start

Additional info:
Oh, and what is an official way of turning off this worthless CPU eater?  Take out all locations from an indexing list?

Comment 1 Ferry Huberts 2015-02-17 17:17:14 UTC
High prio IMHO.

It spams my syslog very very heavily with all kind of ebook info from my vast ebook collection

Comment 2 Jonas Jonsson 2015-06-26 08:17:00 UTC
Same problem with tracker-1.4.0-1.fc22.x86_64

Comment 3 Fedora End Of Life 2015-11-04 11:20:58 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 08:58:41 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Alexander Ploumistos 2016-06-27 16:46:07 UTC
I'm constantly getting a lot of tracker-related messages, especially for a while after logging in. Until now, I don't think I had seen one about sparql.

This is on fedora 23 with tracker-1.6.1-2.fc23.x86_64.

Comment 6 dan 2016-11-17 18:09:38 UTC
Confirmed to exist in FC24 with tracker-1.8.0-1.fc24.x86_64.

Comment 7 Fedora End Of Life 2016-11-24 11:26:25 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Alexander Ploumistos 2016-11-25 01:18:53 UTC
Still seeing quite a lot of these in F25, usually of the following kinds:

Nov 11 03:16:33 tracker-miner-f[3839]: Could not execute sparql: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Resource temporarily unavailable)

Nov 17 04:24:33 gnome-photos[12487]: tracker_sparql_cursor_real_get_integer: assertion '_tmp1_ == TRACKER_SPARQL_VALUE_TYPE_INTEGER' failed
Nov 17 04:24:33 gnome-photos[12487]: tracker_sparql_cursor_real_get_double: assertion '_tmp1_ == TRACKER_SPARQL_VALUE_TYPE_DOUBLE' failed

Nov 19 10:23:44 tracker-miner-f[2360]: Could not execute sparql: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): No such file or directory)

Nov 19 10:23:46 tracker-miner-f[2360]: Could not execute sparql: The connection is closed

Comment 10 Igor Gnatenko 2017-06-21 15:04:04 UTC
Please report this bug to upstream. RHBZ is not appropriate place for upstream bugs.

Comment 11 Alexander Ploumistos 2017-07-01 10:45:09 UTC
I've reported this upstream and it should be noted that users might need to take action to correct the problem.

If you are seeing the same error messages, please visit the linked GNOME bugzilla ticket.


Note You need to log in before you can comment on or make changes to this bug.